Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233596 - Review Request: python-Coherence - Python framework to participate in digital living networks
Summary: Review Request: python-Coherence - Python framework to participate in digital...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: 233598
TreeView+ depends on / blocked
 
Reported: 2007-03-23 12:31 UTC by Matthias Saou
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-10 11:40:25 UTC
lxtnow: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Saou 2007-03-23 12:31:16 UTC
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/coherence/coherence.spec
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/coherence/coherence-0.1.0-1.src.rpm
Description:
Coherence is a framework written in Python enabling applications to participate
in digital living networks, such as the UPnP universe.

Comment 1 Matthias Saou 2007-04-20 10:57:55 UTC
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/coherence/coherence.spec
SRPM URL:
http://ftp.es6.freshrpms.net/tmp/extras/coherence/coherence-0.2.1-1.src.rpm

* Fri Apr 20 2007 Matthias Saou <http://freshrpms.net/> 0.2.1-1
- Update to 0.2.1.

Comment 2 Xavier Lamien 2007-05-04 16:29:38 UTC
Starting review

Comment 3 Matthias Saou 2007-05-07 11:21:34 UTC
Any results so far?

Comment 4 Xavier Lamien 2007-05-07 14:13:55 UTC
Yep,

OK - Mock Build on FC-Devel (noarch package
OK - Package meets naming and packaging guidelines
 ? - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License is MIT
OK - License text is present in the package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
0cc1e8dbcb0d30a7cdce0bf64cb7b4ff  Coherence-0.1.0.tar.gz
OK - Package has correct buildroot.
OK - BuildRequires isn't redundant.
OK - %build and %install stages is correct and work.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package is code or permissible content.
OK - No Scriplets is required for this package.
OK - %doc files don't affect runtime.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Changelog section is correct.
OK - rpmlint is silent on both SRPM and RPM files.

------

Just one comment:
Base package name is Coherence ( with an uppercase letter ) and your pre-built
package name start with an lowercase letter.
It doesn't match the packaging naming guideline.

Comment 5 Matthias Saou 2007-05-07 14:41:04 UTC
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/Coherence/Coherence.spec
SRPM URL:
http://ftp.es6.freshrpms.net/tmp/extras/Coherence/Coherence-0.2.1-2.src.rpm

* Mon May  7 2007 Matthias Saou <http://freshrpms.net/> 0.2.1-2
- Rename coherence -> Coherence to match upstream and our naming guidelines.
- Obsolete coherence < 0.2.1-2 but don't provide it since elisa's requirement
  has been updated to match the name change and nothing else requires it.

Comment 6 Xavier Lamien 2007-05-07 16:47:37 UTC
+
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.

----
APROVED
----

Comment 7 Ville Skyttä 2007-05-07 19:02:02 UTC
As this is primarily (AFAIU) a framework/library package, shouldn't it be called
python-Coherence?

Comment 8 Matthias Saou 2007-05-08 08:28:00 UTC
> As this is primarily (AFAIU) a framework/library package, shouldn't it be called
> python-Coherence?

Very good point. I actually think it would make most sense indeed, so I'm fine
with renaming it once more ;-)

Comment 9 Matthias Saou 2007-05-08 14:32:11 UTC
Spec URL:
http://ftp.es6.freshrpms.net/tmp/extras/python-Coherence/python-Coherence.spec
SRPM URL:
http://ftp.es6.freshrpms.net/tmp/extras/python-Coherence/python-Coherence-0.2.1-3.src.rpm

* Tue May  8 2007 Matthias Saou <http://freshrpms.net/> 0.2.1-3
- Rename Coherence -> python-Coherence to match our python naming guidelines.

Comment 10 Xavier Lamien 2007-05-08 14:55:35 UTC
Oh, i just forgot about python plugin/extension naming.
indeed...

Taking python naming guidelines into account, full review above doesn't change
except the apropriate package name which be set now.

Matthias, don't forget to change Elisa (bug #233598) Require name for Coherence,
it's not actually done. ;-)

Comment 11 Matthias Saou 2007-05-08 15:15:10 UTC
Changing the summary back (again)... I guess it was a mistake... (?)
As for Elisa's Coherence requirement, I'll update it now.

I will also be requesting CVS module creation. Thanks Xavier for the review, and
thanks Ville too for the last second insight!

Comment 12 Matthias Saou 2007-05-09 11:16:41 UTC
New Package CVS Request
=======================
Package Name: python-Coherence
Short Description: Python framework to participate in digital living networks
Owners: matthias@rpmforge.net
Branches: devel FC-6 FC-5 EL-4 EL-5
InitialCC: 

Comment 13 Matthias Saou 2007-08-22 09:33:35 UTC
Package Change Request
======================
Package Name: python-Coherence
New Branches: F-7

For some reason, when devel was branched off for F-7, the F-7 branch of
python-Coherence wasn't created (no F-7 directory) :
[dude@python3 python-Coherence]$ cvs update -dP
cvs update: Updating .
cvs update: Updating EL-4
cvs update: Updating EL-5
cvs update: Updating FC-5
cvs update: Updating FC-6
cvs update: Updating devel


Note You need to log in before you can comment on or make changes to this bug.